package com.ywt.gapi.third.wxInsPay;

/**
 * @author Walker
 * Created on 2021/7/23
 */
public class GetInsuOPDividePreResp {
    private String psnNo;
    private String medType;
    private String mdtrtId;
    private String insuType;
    private String insuAdmDr;
    private String recerSysCode;
    private String fixmedinsCode;
    private String fixmedinsName;
    private String infver;
    private String mdtrtareaAdmvs;
    private String insuplcAdmdvs;
    private String psnSetlway;
    private String acctUsedFlag;
    private String chrgBchNo;
    private Integer medfeeSumamt;
    private String opterType;
    private String opter;
    private String opterName;

    private String insuAdmInfoDr; // 市直医保新增，文档未说明
    private String insuTypeCode; // 市直医保新增，文档未说明
    private String sessionId; // 市直医保新增，文档未说明
    private String currentSessionId; // 市直医保新增，文档未说明
    private String insuDividePreDr; // 省直医保
    private String insuAdmInfoJson; // HIS GetInsuAdmInfoXS 方法返回响应

    public String getPsnNo() {
        return psnNo;
    }

    public void setPsnNo(String psnNo) {
        this.psnNo = psnNo;
    }

    public String getMedType() {
        return medType;
    }

    public void setMedType(String medType) {
        this.medType = medType;
    }

    public String getMdtrtId() {
        return mdtrtId;
    }

    public void setMdtrtId(String mdtrtId) {
        this.mdtrtId = mdtrtId;
    }

    public String getInsuType() {
        return insuType;
    }

    public void setInsuType(String insuType) {
        this.insuType = insuType;
    }

    public String getInsuAdmDr() {
        return insuAdmDr;
    }

    public void setInsuAdmDr(String insuAdmDr) {
        this.insuAdmDr = insuAdmDr;
    }

    public String getRecerSysCode() {
        return recerSysCode;
    }

    public void setRecerSysCode(String recerSysCode) {
        this.recerSysCode = recerSysCode;
    }

    public String getFixmedinsCode() {
        return fixmedinsCode;
    }

    public void setFixmedinsCode(String fixmedinsCode) {
        this.fixmedinsCode = fixmedinsCode;
    }

    public String getFixmedinsName() {
        return fixmedinsName;
    }

    public void setFixmedinsName(String fixmedinsName) {
        this.fixmedinsName = fixmedinsName;
    }

    public String getInfver() {
        return infver;
    }

    public void setInfver(String infver) {
        this.infver = infver;
    }

    public String getMdtrtareaAdmvs() {
        return mdtrtareaAdmvs;
    }

    public void setMdtrtareaAdmvs(String mdtrtareaAdmvs) {
        this.mdtrtareaAdmvs = mdtrtareaAdmvs;
    }

    public String getInsuplcAdmdvs() {
        return insuplcAdmdvs;
    }

    public void setInsuplcAdmdvs(String insuplcAdmdvs) {
        this.insuplcAdmdvs = insuplcAdmdvs;
    }

    public String getPsnSetlway() {
        return psnSetlway;
    }

    public void setPsnSetlway(String psnSetlway) {
        this.psnSetlway = psnSetlway;
    }

    public String getAcctUsedFlag() {
        return acctUsedFlag;
    }

    public void setAcctUsedFlag(String acctUsedFlag) {
        this.acctUsedFlag = acctUsedFlag;
    }

    public String getChrgBchNo() {
        return chrgBchNo;
    }

    public void setChrgBchNo(String chrgBchNo) {
        this.chrgBchNo = chrgBchNo;
    }

    public Integer getMedfeeSumamt() {
        return medfeeSumamt;
    }

    public void setMedfeeSumamt(Integer medfeeSumamt) {
        this.medfeeSumamt = medfeeSumamt;
    }

    public String getOpterType() {
        return opterType;
    }

    public void setOpterType(String opterType) {
        this.opterType = opterType;
    }

    public String getOpter() {
        return opter;
    }

    public void setOpter(String opter) {
        this.opter = opter;
    }

    public String getOpterName() {
        return opterName;
    }

    public void setOpterName(String opterName) {
        this.opterName = opterName;
    }

    public String getInsuAdmInfoDr() {
        return insuAdmInfoDr;
    }

    public void setInsuAdmInfoDr(String insuAdmInfoDr) {
        this.insuAdmInfoDr = insuAdmInfoDr;
    }

    public String getInsuTypeCode() {
        return insuTypeCode;
    }

    public void setInsuTypeCode(String insuTypeCode) {
        this.insuTypeCode = insuTypeCode;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getCurrentSessionId() {
        return currentSessionId;
    }

    public void setCurrentSessionId(String currentSessionId) {
        this.currentSessionId = currentSessionId;
    }

    public String getInsuDividePreDr() {
        return insuDividePreDr;
    }

    public void setInsuDividePreDr(String insuDividePreDr) {
        this.insuDividePreDr = insuDividePreDr;
    }

    public String getInsuAdmInfoJson() {
        return insuAdmInfoJson;
    }

    public void setInsuAdmInfoJson(String insuAdmInfoJson) {
        this.insuAdmInfoJson = insuAdmInfoJson;
    }
}
